Bug 198780 - kernel BUG in kernel/exit.c:876
kernel BUG in kernel/exit.c:876
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
: 199566 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 10:53 EDT by Bill Nottingham
Modified: 2014-03-16 23:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 00:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-07-13 10:53:43 EDT
It done gone blew up.

2.6.17-1.2380.fc6PAE, on boot...

Linux version 2.6.17-1.2380.fc6PAE (brewbuilder@hs20-bc2-3.build.redhat.com) (gc
c version 4.1.1 20060711 (Red Hat 4.1.1-7)) #1 SMP Wed Jul 12 07:07:43 EDT 2006
...
audit(1152806337.060:4): avc:  granted  { load_policy } for  pid=1 comm="init" s
context=system_u:system_r:kernel_t:s0 tcontext=system_u:object_r:security_t:s0 t
class=security
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
hdc: ATAPI 48X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
------------[ cut here ]------------
kernel BUG at kernel/exit.c:876!
invalid opcode: 0000 [#1]
SMP
last sysfs file: /block/ram5/dev
Modules linked in: i2c_core ide_cd cdrom ext3 jbd
CPU:    1
EIP:    0060:[<c042845d>]    Not tainted VLI
EFLAGS: 00010246   (2.6.17-1.2380.fc6PAE #1)
EIP is at do_exit+0x777/0x781
eax: 00000000   ebx: 00000010   ecx: fffeea1b   edx: fffeea1b
esi: f7f222b0   edi: f7f222b0   ebp: 00000001   esp: f15e3f74
ds: 007b   es: 007b   ss: 0068
Process modprobe (pid: 488, ti=f15e3000 task=f7f222b0 task.ti=f15e3000)
Stack: f7f222b0 00000000 0000004f c04739a7 00000000 c352b5f0 f15e3fbc f7f22364
       00000100 f157d694 00000100 00fc2280 f15e3000 c04284dd 00000001 00fc2280
       00fc2280 c0403f2f 00000001 00fc4c80 00000000 00fc2280 00fc2280 bfb885b8
Call Trace:
 [<c04284dd>] sys_exit_group+0x0/0xd
 [<00000001>] 0x1
Code: 0b 00 8b 86 68 05 00 00 85 c0 74 05 e8 8e 5c 05 00 8b 46 0c a8 08 74 08 0f
 0b 68 03 8a 08 64 c0 83 c8 08 89 46 0c e8 cf 41 1f 00 <0f> 0b 6c 03 8a 08 64 c0
 eb fe 57 84 c0 56 89 c6 53 79 08 0f 0b
EIP: [<c042845d>] do_exit+0x777/0x781 SS:ESP 0068:f15e3f74
 <1>Fixing recursive fault but reboot is needed!
PM: Adding info for No Bus:i2c-0
USB Universal Host Controller Interface driver v3.0

System seems to survive.
Comment 1 Wade Mealing 2006-07-13 21:39:53 EDT
Reproducable here, same kernel version.

Getting nasty error messages to screen.

Very reproducable during a kernel compile, selinux is disabled on this system.
Comment 2 Bill Nottingham 2006-07-14 12:05:49 EDT
If you're getting it during a kernel compile, it's probably from a different
process type - what's the Process, and is there any more detail in the call trace?
Comment 3 Dave Jones 2006-07-15 03:46:16 EDT
it's caused by Rolands new utrace/ptrace stuff.
Comment 4 Wade Mealing 2006-07-15 05:29:10 EDT
Jul 13 08:38:45 localhost kernel: kernel BUG at kernel/exit.c:876!
Jul 13 08:38:45 localhost kernel: invalid opcode: 0000 [#1]
Jul 13 08:38:45 localhost kernel: SMP
Jul 13 08:38:45 localhost kernel: last sysfs file: /class/net/eth0/carrier
Jul 13 08:38:45 localhost kernel: Modules linked in: tun i915 drm autofs4
hci_usb hidp rfcomm l2cap bluetooth sunrpc ip_conntrack_netbios_ns ipt_REJECT
iptable_filter ip_tables xt_state ip_conntrack nfnetlink xt_tcpudp
ip6table_filter ip6_tables x_tables cpufreq_ondemand dm_mirror dm_mod video sbs
i2c_ec button battery asus_acpi ac ipv6 parport_pc lp parport appletouch
snd_hda_intel snd_hda_codec snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq
snd_seq_device snd_pcm_oss snd_mixer_oss intel_rng snd_pcm sg sky2 pcspkr ide_cd
ehci_hcd uhci_hcd snd_timer snd soundcore snd_page_alloc i2c_i801 i2c_core
ohci1394 ieee1394 cdrom ext3 jbd ata_piix libata sd_mod scsi_mod
Jul 13 08:38:45 localhost kernel: CPU:    1
Jul 13 08:38:45 localhost kernel: EIP:    0060:[<c0427f39>]    Not tainted VLI
Jul 13 08:38:45 localhost kernel: EFLAGS: 00010246   (2.6.17-1.2380.fc6 #1)
Jul 13 08:38:45 localhost kernel: EIP is at do_exit+0x777/0x781
Jul 13 08:38:45 localhost kernel: eax: 00000000   ebx: 00000010   ecx: 000cd5ae
  edx: 000cd5ae
Jul 13 08:38:45 localhost kernel: esi: c6394430   edi: c6394430   ebp: 00000001
  esp: e4467f74
Jul 13 08:38:45 localhost kernel: ds: 007b   es: 007b   ss: 0068
Jul 13 08:38:45 localhost kernel: Process cc1 (pid: 28262, ti=e4467000
task=c6394430 task.ti=e4467000)
Jul 13 08:38:45 localhost kernel: Stack: 00000004 c061e5ac 00000000 c0461ceb
e4467fbc f7e8d5f0 c63944e4 00000000
Jul 13 08:38:45 localhost kernel:        00000000 f7583afc 00000000 4e563288
e4467000 c0427fb9 00000000 4e563288
Jul 13 08:38:45 localhost kernel:        4e563288 c0403f2f 00000000 4e565c80
00000000 4e563288 4e563288 bf905788
Jul 13 08:38:45 localhost kernel: Call Trace:
Jul 13 08:38:45 localhost kernel:  [<c0427fb9>] sys_exit_group+0x0/0xd
Jul 13 08:38:45 localhost kernel: Code: 0b 00 8b 86 68 05 00 00 85 c0 74 05 e8
76 48 05 00 8b 46 0c a8 08 74 08 0f 0b 68 03 72 e7 63 c0 83 c8 08 89 46 0c e8 b3
27 1f 00 <0f> 0b 6c 03 72 e7 63 c0 eb fe 57 84 c0 56 89 c6 53 79 08 0f 0b
Jul 13 08:38:45 localhost kernel: EIP: [<c0427f39>] do_exit+0x777/0x781 SS:ESP
0068:e4467f74
Jul 13 08:38:45 localhost kernel:  <1>Fixing recursive fault but reboot is needed!

seems to be cc1, also happens for make and as.
Comment 5 Roland McGrath 2006-07-15 17:07:19 EDT
I don't doubt that it's my fault, but I'm having trouble reproducing this.
I'm going with 1.2401_fc6 and not worrying about last week's kernel.
But if it is due to my new code, nothing in there has changed since 1.2380_fc6.
Is there anything specific that's reliable for you?  I only have one test
machine on which I can really try this, but so far it hasn't shown any problems
with the 1.2401.fc6PAE kernel, either booting or miscellaneous stress like doing
a compile.
Comment 6 Don Zickus 2006-07-18 17:46:59 EDT
if it helps at all, the rhel5 kernel 1.2391.el5 on my x86_64 box dies before it
finishes booting.


Comment 9 Don Zickus 2006-07-20 10:10:00 EDT
*** Bug 199566 has been marked as a duplicate of this bug. ***
Comment 10 Roland McGrath 2006-07-21 02:50:03 EDT
Please verify whether this problem still appears using 1.2428.fc6 or later, or
is now gone.  (Recommend 1.2431.fc6 in fact, as that should also fix bug #199014.)
Comment 11 Dave Jones 2006-07-26 00:08:02 EDT
bug seems to be dead afaics.

Note You need to log in before you can comment on or make changes to this bug.